---
title: "Create Channel Account"
slug: "create-channel-account"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Channel Account

Post/v1/channel-accounts

Create a new Channel Account for a specific Control Account.

**Limitations:** Only users with specific permissions can use this endpoint.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Body parameters<select class='api-response-data' aria-label='Media type'><option value='95e0c595-4f45-49fb-8a8e-486af4f3d3c7'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='2fd9c906-231f-4f3b-8ec2-c4deb3d9889c'>minimal</option>
<option value='67f5f282-735a-4c06-a7a3-cc93ed6f9790'>full</option>
</select>minimal

Required fields only

```json
{
  "name": "New Channel Account",
  "contactEmail": "contact@example.com"
}
```

full

All fields

```json
{
  "controlAccountId": "12345",
  "name": "New Channel Account",
  "contactEmail": "contact@example.com",
  "purchasedStorage": "3",
  "storageQuotaType": "Soft quota"
}
```

object  controlAccountIdinteger    

Required for Distributor/Governance users. Optional for Control Account users (defaults to own account).

namestring    Required

Channel Account name. Cannot start with a space.

Min length3Max length100
contactEmailstring  (email)    Required

Contact email address

purchasedStoragenumber    

Storage quota in TB

storageQuotaTypestring    

Storage quota type

Valid values[
  "Soft quota",
  "Hard quota"
]Default"Soft quota"

Responses200

Successfully created the Channel Account

<select class='api-response-data' aria-label='Media type'><option value='de7c0273-1b47-461c-9dd4-d28bf545e6af'>application/json</option>
</select>

```json
{
  "success": "True",
  "code": "RES-I-0051",
  "message": "Channel Account has been successfully created!",
  "data": {
    "id": "54536",
    "name": "New Channel Account",
    "controlAccountId": "43800",
    "controlAccountName": "Control Account Name",
    "governanceAccountName": "Governance Account Name",
    "governanceAccountId": "44023",
    "purchasedStorage": "3",
    "subAccountDefaultStorageQuotaType": "Soft quota",
    "storageQuotaType": "Soft quota",
    "subAccountStorage": "0",
    "billableActiveStorage": "0",
    "billableDeletedStorage": "0",
    "subAccountsCount": "0",
    "status": "Active",
    "creationDate": "2024-08-05T14:47:14.048Z",
    "contactEmail": "contact@example.com",
    "deleted": "False"
  }
}
```

Expand Allobject  successboolean    
codestring    
messagestring    
dataobject (ChannelAccountResponse)  idinteger    
namestring    
controlAccountIdinteger    
controlAccountNamestring    
governanceAccountIdinteger    
governanceAccountNamestring    
purchasedStoragenumber    
subAccountDefaultPurchasedStoragenumber    
subAccountDefaultStorageQuotaTypestring    
storageQuotaTypestring    
subAccountStoragenumber    
billableActiveStoragenumber    
billableDeletedStoragenumber    
subAccountsCountinteger    
statusstring    
imageUrlstring   | null  
creationDatestring  (date-time)    
address1string    
address2string    
countrystring    
citystring    
statestring    
zipstring    
mainPhonestring    
billingPhonestring    
contactEmailstring    
billingEmailstring    
businessNumberstring    
taxIdstring    
fiscalNumberstring    
vatNumberstring    
websitestring    
ssoEnabledboolean    
deletedboolean
